logrotate should be fixed for fuel master node

Bug #1316957 reported by Bogdan Dobrelya on 2014-05-07
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Bogdan Dobrelya
4.1.x
High
Bogdan Dobrelya
5.0.x
High
Bogdan Dobrelya

Bug Description

Currently, we have 10-fuel.conf and 20-fuel.conf would be created in the rsyslog container for docker only. That is a problem because in the host OS of master node there are at least /var/log/docker* logs should be rotated as well.

Another issue is that after now we have a fuel master host OS logrotation part and docker container related logrotation part which should be re-iplemented as appropriate. Besides that, client part now should be splitted from the server one and 10-fuel / 20-fuel conf templates updated.

Changed in fuel:
importance: Undecided → High
status: New → Confirmed
milestone: none → 5.0
assignee: nobody → Fuel Library Team (fuel-library)
description: updated
description: updated
Changed in fuel:
assignee: Fuel Library Team (fuel-library) → Bogdan Dobrelya (bogdando)
Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/92531
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=84cd2624ec4292b9877c29e5be6f20946f8ef53a
Submitter: Jenkins
Branch: master

commit 84cd2624ec4292b9877c29e5be6f20946f8ef53a
Author: Bogdan Dobrelya <email address hidden>
Date: Wed May 7 10:44:38 2014 +0300

    Fix logrotation for fuel master node and its docker containers

    * Split rsyslog client and server roles for openstack::logrotate
      class as well
    * Add missed audit logs to rotation
    * Fix template used for hourly logrotate job check
      (was 10-fuel*, now is 20-fuel*)
    * Use common template for rsyslog server role both for host OS
      and rsylog container
      * Configure logrotate class also for host-only.pp
    * Ensure postrotate for rsyslog in docker container case as well:
      * Issue HUPing for all rsyslog pids including ones in the docker
      containers, if any.

    Closes-bug: #1316957

    Change-Id: I76cabf2c1361836be55551cb5b4cbdc50c4a03ec
    Signed-off-by: Bogdan Dobrelya <email address hidden>

Changed in fuel:
status: In Progress → Fix Committed
Bogdan Dobrelya (bogdando) wrote :

There was a typo in a server template accepted, /var/log/remote should be placed into the server side rotation templates instead of client sided one.

no longer affects: fuel/5.0.x
Changed in fuel:
status: Fix Committed → In Progress

Reviewed: https://review.openstack.org/100187
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=5319075fb440b0880122f64af14056e3808f9d54
Submitter: Jenkins
Branch: master

commit 5319075fb440b0880122f64af14056e3808f9d54
Author: Bogdan Dobrelya <email address hidden>
Date: Mon Jun 16 11:35:05 2014 +0300

    Fix /var/log/remote rotation template

    - Put /var/log/remote rotation into an appropriate server role template
    - Fix node names matching to exclude symlinks for IP addresses

    Closes bug: #1329991
    Closes bug: #1316957

    Change-Id: Iacd96d6fa02b0c63c63ce5256cc832eda229dcc7
    Signed-off-by: Bogdan Dobrelya <email address hidden>

Changed in fuel:
status: In Progress → Fix Committed
Bogdan Dobrelya (bogdando) wrote :

Fix proposed to branch: stable/4.1
Review: https://review.openstack.org/100189

Reviewed: https://review.openstack.org/100188
Committed: https://git.openstack.org/cgit/stackforge/fuel-library/commit/?id=94cb3af924cffd4433d038280164208a41b48256
Submitter: Jenkins
Branch: stable/5.0

commit 94cb3af924cffd4433d038280164208a41b48256
Author: Bogdan Dobrelya <email address hidden>
Date: Mon Jun 16 11:35:05 2014 +0300

    Fix /var/log/remote rotation template

    - Put /var/log/remote rotation into an appropriate server role template
    - Fix node names matching to exclude symlinks for IP addresses

    Closes bug: #1329991
    Closes bug: #1316957

    Change-Id: Iacd96d6fa02b0c63c63ce5256cc832eda229dcc7
    Signed-off-by: Bogdan Dobrelya <email address hidden>

Dennis Dmitriev (ddmitriev) wrote :

Fixed:

4.1.2 : {"mirantis": "no", "ostf_sha": "a269d04abbe2daa3966577c25a30c4d13d4fe648", "nailgun_sha": "97f0589ce60e5c1f74ad81d421f0d3f614ec94e0", "production": "docker", "api": "1.0", "fuelmain_sha": "dd9434d327b1eea9fcfd060b35dd45caf446854e", "astute_sha": "694b5a55695e01e1c42185bfac9cc7a641a9bd48", "release": "4.1.2", "fuellib_sha": "b0a4dc5cea1594e8c7073f075867fe3be0292f6b"}

5.0.1 : {"build_id": "2014-06-27_03-01-14", "mirantis": "yes", "build_number": "73", "ostf_sha": "8ea3940654ff33e3e99a0182a2cf70704f836b99", "nailgun_sha": "dd7f32ab80c023a4afda70b521dd5391e5e464fd", "production": "docker", "api": "1.0", "fuelmain_sha": "ae0fd7b9f7db7ee974b0232f3d1c66d6c6f3cc49", "astute_sha": "9ab830ab3f90ede8b8bc2e0fffa663f339322079", "release": "5.0.1", "fuellib_sha": "1cf02c3a06edaae9278129f5a534d4c9d0c33784"}

5.1 : {"build_id": "2014-06-27_00-31-14", "mirantis": "yes", "build_number": "274", "ostf_sha": "a4978638de3951dbc229276608a839a19ece2b70", "nailgun_sha": "5f2944a8d5077a1c96acb076ba9194f670b818e8", "production": "docker", "api": "1.0", "fuelmain_sha": "bf8660309601cee2f8f3e1bb881d272e638dcffa", "astute_sha": "694b5a55695e01e1c42185bfac9cc7a641a9bd48", "release": "5.1", "fuellib_sha": "acc99fcd0ba9eeef0a504dc26507eb91ce757220"}

Meg McRoberts (dreidellhasa) wrote :

Documented in "Fixed Issues" for 5.0.1 Release Notes.

Dmitry Pyzhov (dpyzhov) on 2014-08-14
no longer affects: fuel/5.1.x
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers